services:
    _defaults: { public: true }

    bitbag_sylius_cms_plugin.behat.context.ui.admin.block:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Admin\BlockContext
        arguments:
            - "@sylius.behat.shared_storage"
            - "@sylius.behat.current_page_resolver"
            - "@sylius.behat.notification_checker"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.block.index"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.block.create"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.block.update"
            - "@bitbag_sylius_cms_plugin.behat.random_string_generator"
            - "@bitbag_sylius_cms_plugin.repository.block"

    bitbag_sylius_cms_plugin.behat.context.ui.admin.page:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Admin\PageContext
        arguments:
            - "@sylius.behat.shared_storage"
            - "@sylius.behat.current_page_resolver"
            - "@sylius.behat.notification_checker"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.page.index"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.page.create"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.page.update"
            - "@bitbag_sylius_cms_plugin.behat.random_string_generator"
            - "@bitbag_sylius_cms_plugin.repository.page"

    bitbag_sylius_cms_plugin.behat.context.ui.admin.frequently_asked_question:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Admin\FrequentlyAskedQuestionContext
        arguments:
            - "@sylius.behat.shared_storage"
            - "@sylius.behat.current_page_resolver"
            - "@sylius.behat.notification_checker"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.frequently_asked_question.index"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.frequently_asked_question.create"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.frequently_asked_question.update"
            - "@bitbag_sylius_cms_plugin.behat.random_string_generator"

    bitbag_sylius_cms_plugin.behat.context.ui.admin.section:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Admin\SectionContext
        arguments:
            - "@sylius.behat.shared_storage"
            - "@sylius.behat.current_page_resolver"
            - "@sylius.behat.notification_checker"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.section.index"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.section.create"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.section.update"
            - "@bitbag_sylius_cms_plugin.behat.random_string_generator"

    bitbag_sylius_cms_plugin.behat.context.ui.shop.homepage_blocks:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Shop\HomepageBlocksContext
        arguments:
            - "@bitbag_sylius_cms_plugin.behat.page.shop.home"

    bitbag_sylius_cms_plugin.behat.context.ui.shop.page:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Shop\PageContext
        arguments:
            - "@bitbag_sylius_cms_plugin.behat.page.shop.page.show"
            - "@bitbag_sylius_cms_plugin.behat.page.shop.page.index"
            - "@sylius.behat.shared_storage"

    bitbag_sylius_cms_plugin.behat.context.ui.shop.frequently_asked_question:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Shop\FrequentlyAskedQuestionContext
        arguments:
            - "@bitbag_sylius_cms_plugin.behat.page.shop.frequently_asked_question.index"

    bitbag_sylius_cms_plugin.behat.context.ui.admin.media:
        class: Tests\BitBag\SyliusCmsPlugin\Behat\Context\Ui\Admin\MediaContext
        arguments:
            - "@sylius.behat.shared_storage"
            - "@sylius.behat.current_page_resolver"
            - "@sylius.behat.notification_checker"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.media.index"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.media.create"
            - "@bitbag_sylius_cms_plugin.behat.page.admin.media.update"
            - "@bitbag_sylius_cms_plugin.behat.random_string_generator"
            - "@bitbag_sylius_cms_plugin.repository.media"
